package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class BpclPasswordAudit extends GenericItem
{
    public static final String CUSTOMERID = "customerId";
    public static final String LOGINPASSWORD = "loginPassword";
    public static final String DBPASSWORD = "dbPassword";
    public static final String LOGINSUCCESS = "loginSuccess";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return BpclPasswordAudit.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getCustomerId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerId".intern());
    }
    
    public String getCustomerId() {
        return this.getCustomerId(this.getSession().getSessionContext());
    }
    
    public void setCustomerId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerId".intern(), (Object)value);
    }
    
    public void setCustomerId(final String value) {
        this.setCustomerId(this.getSession().getSessionContext(), value);
    }
    
    public String getDbPassword(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "dbPassword".intern());
    }
    
    public String getDbPassword() {
        return this.getDbPassword(this.getSession().getSessionContext());
    }
    
    public void setDbPassword(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "dbPassword".intern(), (Object)value);
    }
    
    public void setDbPassword(final String value) {
        this.setDbPassword(this.getSession().getSessionContext(), value);
    }
    
    public String getLoginPassword(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "loginPassword".intern());
    }
    
    public String getLoginPassword() {
        return this.getLoginPassword(this.getSession().getSessionContext());
    }
    
    public void setLoginPassword(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "loginPassword".intern(), (Object)value);
    }
    
    public void setLoginPassword(final String value) {
        this.setLoginPassword(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isLoginSuccess(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "loginSuccess".intern());
    }
    
    public Boolean isLoginSuccess() {
        return this.isLoginSuccess(this.getSession().getSessionContext());
    }
    
    public boolean isLoginSuccessAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isLoginSuccess(ctx);
        return value != null && value;
    }
    
    public boolean isLoginSuccessAsPrimitive() {
        return this.isLoginSuccessAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setLoginSuccess(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "loginSuccess".intern(), (Object)value);
    }
    
    public void setLoginSuccess(final Boolean value) {
        this.setLoginSuccess(this.getSession().getSessionContext(), value);
    }
    
    public void setLoginSuccess(final SessionContext ctx, final boolean value) {
        this.setLoginSuccess(ctx, Boolean.valueOf(value));
    }
    
    public void setLoginSuccess(final boolean value) {
        this.setLoginSuccess(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("customerId", Item.AttributeMode.INITIAL);
        tmp.put("loginPassword", Item.AttributeMode.INITIAL);
        tmp.put("dbPassword", Item.AttributeMode.INITIAL);
        tmp.put("loginSuccess", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
